CppUnit project page | FAQ

Public Member Functions | List of all members
SynchronizedObject::SynchronizationObject Class Reference

Abstract synchronization object (mutex) More...

`#include <SynchronizedObject.h>`

## Public Member Functions
| SynchronizationObject ()
virtual | ~SynchronizationObject ()
virtual void | lock ()
virtual void | unlock ()

## Detailed Description

Abstract synchronization object (mutex)

## Constructor & Destructor Documentation

## ◆ SynchronizationObject()

SynchronizedObject::SynchronizationObject::SynchronizationObject | ( |  | ) |
| inline

## ◆ ~SynchronizationObject()

virtual SynchronizedObject::SynchronizationObject::~SynchronizationObject | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ lock()

virtual void SynchronizedObject::SynchronizationObject::lock | ( |  | ) |
| inline virtual

## ◆ unlock()

virtual void SynchronizedObject::SynchronizationObject::unlock | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- SynchronizedObject.h

| Send comments to: CppUnit Developers